import { MethodResult } from '@methodus/server';
export declare class TestController {
    static list(filter?: any, pageNumber?: number, pageSize?: number, req?: any): Promise<any>;
    static get(id: number, host?: string): Promise<MethodResult<{
        "userId": number;
        "id": number;
        "title": string;
        "body": string;
    }[]>>;
    static listdefaults(player_name: any, body: any, headers: any, files: any, cookies: any, query: any, res: any, req: any, securityContext: any): Promise<any>;
    static create(files: any, cookies: any, name: string): Promise<MethodResult<{
        name: string;
    }>>;
    static read(playerId: number): Promise<MethodResult<number>>;
    static getByField(field: string, value: number): Promise<MethodResult<{}>>;
    static update(): Promise<MethodResult<{}>>;
    static delete(id: string): Promise<MethodResult<string>>;
}
